/// <reference types="node" />
import webpack from "webpack";
export interface Options {
    stream?: NodeJS.WriteStream;
    pattern?: string;
    pattern_no_stderr?: string;
    update_render?: boolean;
    clear?: boolean;
    clear_on_update?: boolean;
    stderr_check?: boolean;
    text?: string;
}
declare function ProgressOraPlugin(options?: Options): webpack.ProgressPlugin | (() => void);
declare class WebpackProgressOraPlugin {
    constructor(options?: Options);
    apply(compiler: webpack.Compiler): void;
}
export default ProgressOraPlugin;
export { ProgressOraPlugin, WebpackProgressOraPlugin };
